//
//  NSObject_Extension.swift
//
//  Created by Jaime Rios on 2015-05-28.
//  Copyright (c) 2015 jaimerios. All rights reserved.
//

import Foundation

extension NSObject
{
    class func pluginDidLoad(bundle: NSBundle)
    {
        let appName = NSBundle.mainBundle().infoDictionary?["CFBundleName"] as? NSString
        if appName == "Xcode"
        {
        	if sharedPlugin == nil
            {
        		sharedPlugin = XcodePerforcePlugin(bundle: bundle)
        	}
        }
    }
}